/* You can add global styles to this file, and also import other style files */

@import '../node_modules/mapbox-gl/dist/mapbox-gl.css';
@import '~scss/init_bulma.scss';
@import '../node_modules/bulma-slider/src/sass/index.sass';
@import '../node_modules/bulma-checkradio/dist/css/bulma-checkradio.sass';
@import '../node_modules/bulma-tooltip/dist/css/bulma-tooltip.min.css';
@import './scss/custom-hamburger.scss';
@import './scss/portal-communes.scss';

html {
  overflow-y: auto;
}

html,
body {
  height: 100%;
  line-height: 1.2rem;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 .card-header-title,
.navbar {
  font-family: $title-font;
}

h1,
.h1 {
  font-size: $size-1;
  line-height: $size-3;
  margin-top: $size-4;
  margin-bottom: $size-4;
}

h2,
.h2 {
  font-size: $size-3;
  line-height: $size-2;
  margin-top: $size-4;
  margin-bottom: $size-4;
}

h3,
.h3 {
  font-size: $size-4;
  line-height: $size-3;
  margin-top: $size-4;
  margin-bottom: $size-4;
}

h4,
.h4,
h5,
.h5 {
  font-size: $size-5;
  line-height: $size-5;
  margin-top: $size-4;
  margin-bottom: $size-4;
}

.flex {
  display: flex;
}

// Hamburger
.hamburger-inner::before {
  width: 15px;
}

.hamburger.is-active {
  .hamburger-inner::before {
    width: 20px;
  }
}

// Overrides checkbox style (from Bulma extension)
.is-checkradio[type="checkbox"] + label::before {
  border-radius: 0;
  background-color: #ffff;

  &:hover {
    border-color: $grey-dark-color;
  }
}

.is-checkradio[type="checkbox"] + label::after {
  border-color: $tomato-color;
}

.navbar {
  font-size: $size-6;
}

.details-container,
.organization,
.reuse {
  p,
  span{
    font-size: $size-6;
  }
}

p,
span,
select,
input,
ul,
tbody {
  font-family: $family-sans-serif;
  font-size: $size-6;
  color: $brand-color;
}

// Need to be here, because innerHtml breaks the style inside result-dataset.component
.subtitle span.highlighted {
  color: $grey-dark-color;
}

.highlighted {
  background: linear-gradient(to bottom, transparent 20%, #fff5c0 20%, #fff5c0 85%, transparent 85%);
  font-size: unset;
  word-break: break-all;
}

// 3 types of link style
a:not(.button) {
  color: $link-color;
  text-decoration: none;

  &:hover {
    text-decoration: underline;
  }
}

a:not(.button).link-1 {
  color: $brand-color;
  text-decoration: none;

  &:hover {
    color: $tomato-color;
  }
}

a:not(.button).link-2 {
  color: $brand-color;

  &:hover {
    font-weight: bold;
  }
}

/* stylelint-disable */
a:not(.button).link-without-decoration,
.dropdown a {
  color: $brand-color;
  text-decoration: none;

  &:hover {
    text-decoration: underline;
  }
}

/* stylelint-enable */

.active-link {
  color: $tomato-color;
}

.appNotification a:not(.button) {
  text-decoration: none;
}

//Section padding for mobile
.section {
  padding: 0.5rem;
}

@media screen and (min-width: $tablet) {
  .section {
    padding: 1.5rem;
  }
}

.title-dgl {
  font-family: $title-font;
}

// In order to see which button is currently focused when using tab on the map
.mapboxgl-ctrl-group {
  button:focus {
    background-color: rgba(0, 0, 0, 0.05);
  }
}

.mapboxgl-ctrl-minimap {
  border: 0.1875rem solid white;
  border-radius: 0.5rem;
  box-shadow: 0 0.0625rem 0.4375rem #999;
  margin-right: 0.625rem;
  margin-bottom: 0.625rem;
  z-index: -1000;

  .mapboxgl-canvas-container {
    cursor: default;
  }

  .mapboxgl-canvas {
    cursor: default;
  }
}

.mapboxgl-ctrl-bottom-right {
  display: flex;

  .mapboxgl-ctrl-attrib {
    a {
      color: $brand-color;
    }
    margin: 0 10px 10px 0;
  }
}

.link-red {
  color: $tomato-color;
  text-decoration: underline;
}

// Forms
input.has-error {
  border-color: $warning-color;
}

input.is-valid {
  border-color: $success-color;
}

.is-checkradio[type="checkbox"]:focus.is-valid + label::before,
.is-checkradio[type="checkbox"]:hover:not([disabled]).is-valid + label::before,
.is-checkradio[type="checkbox"].is-valid + label::after {
  border-color: $success-color !important;
}

.icon.is-icon-success span {
  color: $success-color;
}

.icon.is-icon-warning span {
  color: $warning-color;
}

form {

  label,
  .label,
  label span {
    font-size: 0.875rem;
    color: $grey-dark-color;
    text-transform: uppercase;
    font-weight: normal;
    font-style: normal;

    &:hover {
      cursor: pointer;
    }
  }
}

.label.checkbox-label,
.label.checkbox-label span,
.label.checkbox-label p {
  text-transform: none;
  color: $brand-color;
  font-weight: 600;
}

span.required-field,
.label span.required-field {
  color: $tomato-color;
  padding-left: 0.15rem;
}

.form-incorrect-field-message {
  color: $warning-color;
  font-style: italic;
  font-size: $size-6;
  margin-top: 0.2rem;
}

.btn-blue-text {
  background: transparent;
  border-radius: 2px;
  font-size: 0.875rem;
  color: $link-color;
  border: 1px solid $grey-super-light-color;
  padding: 0.5em 0.75em 0.5em 0.75em;
  white-space: normal;
  line-height: 1;
  height: 3.14em;
  width: 13.75rem;
  max-width: 100%;

  /* stylelint-disable-next-line */
  span {
    font-size: 0.875rem;
    color: $link-color;
    white-space: normal;
    line-height: 1;
  }

  &:disabled {
    color: $link-color;
  }

  &:hover:not(:disabled),
  &:focus:not(:disabled) {
    color: $link-color;
    border-color: $grey-dark-color;
    font-weight: bold;
  }

  &.is-loading::after {
    border-left-color: $link-color;
    border-bottom-color: $link-color;
  }
}
.btn-red-text {
  background: white;
  border-radius: 4px;
  font-size: 0.875rem;
  color: $tomato-color;
  border: 1px solid $grey-super-light-color;
  padding: 0.5em 0.75em 0.5em 0.75em;
  white-space: normal;
  line-height: 1;
  height: 3.14em;
  width: 13.75rem;

  /* stylelint-disable-next-line */
  span {
    font-size: 0.875rem;
    color: $tomato-color;
    white-space: normal;
    line-height: 1;
  }

  &:disabled {
    color: $tomato-color;
  }

  &:hover:not(:disabled),
  &:focus:not(:disabled) {
    color: $tomato-color;
    border-color: $grey-dark-color;
    font-weight: bold;
  }

  &.is-loading::after {
    border-left-color: $tomato-color;
    border-bottom-color: $tomato-color;
  }
}

.button-gl {
  width: 13.75rem;
  height: 3.14em;
  background: $tomato-color;
  border-radius: 4px;
  border-width: 0;
  font-size: 0.875rem;
  font-weight: 600;
  color: white;
  line-height: 1;

  &:hover,
  &:focus {
    color: white;
    background: $tomato-color;
    opacity: 0.92;
  }

  &.is-outlined {
    border: 1px solid $grey-super-light-color;
    color: $grey-dark-color;
    background: transparent;

    &:hover,
    &:focus {
      border-color: $tomato-color;
      box-shadow: none;
    }

    &:disabled {
      color: $grey-dark-color;
      background-color: transparent;
      opacity: 0.38;
      border-color: $grey-super-light-color;
    }
  }

  &:disabled {
    background: $tomato-color;
    opacity: 0.38;
  }

  &.is-flat {
    background: transparent;
    color: $brand-color;
    font-weight: bold;

    &:hover,
    &:focus {
      box-shadow: 0 3px 4px 0 rgba(0, 0, 0, 0.16);
      background-color: #e8ecef;
    }
  }
}
.main-container{
  margin-top:0;
}

.header-section{
  background-color: white;
  padding:0 2rem;
}
.centered-form{
  padding-bottom: 5rem;
  max-width:850px;
  margin:auto;
  .form-content{
    margin: 2rem;
    padding:2rem;
    background-color: white;
    box-shadow: 0px 6px 12px rgba(129, 128, 128, 0.1);
    border-radius: 8px;
  }
}
.page-container {
  margin: auto;
  min-height: calc(100% - 1rem);
  display: flex;
  justify-content: center;
  flex-grow: 1;

  @media screen and (max-width: $desktop) {
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
  }

  &.has-padding {
    padding: 0 1.25rem 4rem 1.25rem;
  }

  &.has-white-background {
    background-color: white;
  }

  &.is-fullwidth {
    margin: auto;
    display: block;
    max-width: 100%;
    // padding-left: 1.25rem;
    // padding-right: 1.25rem;
    // padding-bottom: 4rem;
    // To remove the margin fusion with the h1
    overflow: hidden;
    // flex-grow: 1;

    @media screen and (min-width: $tablet) {
      max-width: 705px;
      width: 705px;
      margin-top: 1rem;
    }

    @media screen and (min-width: $desktop) {
      max-width: 960px;
      width: 960px;
    }

    @media screen and (min-width: $widescreen) {
      max-width: 1152px;
      width: 1152px;
    }

    @media screen and (min-width: $fullhd) {
      max-width: 1344px;
      width: 1344px;
    }
  }

  @media screen and (min-width: $tablet) {
    margin-top: 1rem;
  }

  .post-section {
    background-color: white;
    width: 100%;
    max-width: 680px;
    padding-left: 1.25rem;
    padding-right: 1.25rem;
    padding-bottom: 4rem;
    position: relative;
    // To remove the margin fusion with the h1
    overflow: hidden;
    flex-grow: 1;

    .feature-image {
      margin-right: -1.25rem;
      margin-left: -1.25rem;

      img {
        width: 100%;
      }
    }
  }
}

.chapo {
  font-size: 1.0625rem;
  padding-bottom: 1.875rem;
  line-height: normal;

  span,p,select,ul{
    font-size: 1.0625rem;
  }

  a{
    font-weight: bold;
  }
}

@import "./scss/ghost-style";
@import "./scss/tarteaucitron";
